ServerEvents.recipes(event => {
	event.remove({
		output: 'simulated:laser_pointer'
	});
	event.shaped('simulated:laser_pointer', [
		' A ',
		'LTR',
		' C '
	], {
		A: 'minecraft:amethyst_shard',
		L: 'powergrid:redstone_relay',
		T: 'powergrid:regulator_tube',
		R: 'minecraft:redstone',
		C: 'create:andesite_casing'
	});
	event.remove({
		output: 'simulated:laser_sensor'
	});
	event.shaped('simulated:laser_sensor', [
		' T ',
		'RNL',
		' C '
	], {
		L: 'powergrid:redstone_converter',
		T: 'powergrid:regulator_tube',
		R: 'minecraft:redstone',
		N: 'powergrid:bjt_npn',
		C: 'create:andesite_casing'
	});
	event.remove({
		output: 'simulated:optical_sensor'
	});
	event.shaped('simulated:optical_sensor', [
		' T ',
		'RNL',
		' C '
	], {
		L: 'powergrid:redstone_converter',
		T: 'powergrid:regulator_tube',
		R: 'minecraft:redstone',
		N: 'powergrid:bjt_npn',
		C: 'create:brass_casing'
	});
	
	
	event.remove({
		output: 'create:transmitter'
	});
	event.shaped('create:transmitter', [
		' L ',
		'CQC',
		'NRP'
	], {
		L: 'minecraft:lightning_rod',
		C: 'powergrid:copper_coil',
		Q: 'create:polished_rose_quartz',
		N: 'powergrid:bjt_npn',
		P: 'powergrid:bjt_pnp',
		R: 'minecraft:redstone'
	});
	event.remove({
		output: 'create:electron_tube'
	});
	event.shaped('create:electron_tube', [
		' L ',
		'WQW',
		' I '
	], {
		Q: 'create:polished_rose_quartz',
		L: '#c:glass_panes',
		I: '#c:plates/iron',
		W: 'powergrid:wire',
	});
	event.remove({
		output: 'create:display_board'
	});
	event.shaped('create:display_board', [
		'III',
		'CRC',
		'AZA'
	], {
		I: '#c:plates/iron',
		C: 'powergrid:copper_coil',
		R: 'powergrid:relay',
		A: 'create:andesite_alloy',
		Z: 'powergrid:electrical_gizmo'
	});
	event.remove({
		output: 'create:redstone_link'
	});
	event.shaped('create:redstone_link', [
		' T ',
		'RPR',
		' A '
	], {
		T: 'create:transmitter',
		R: 'morered:red_alloy_ingot',
		P: 'powergrid:potato_battery',
		A: 'create:andesite_casing'
	});
	event.remove({
		output: 'create:display_link'
	});
	event.shaped('create:display_link', [
		'TET',
		'WAW',
		'CZC'
	], {
		C: 'powergrid:copper_coil',
		Z: 'powergrid:electrical_gizmo',
		T: 'create:transmitter',
		E: 'minecraft:ender_eye',
		W: 'powergrid:wire',
		A: 'create:brass_casing'
	});
	event.remove({
		output: 'create:stock_link'
	});
	event.shaped('create:stock_link', [
		'TET',
		'WAW',
		'CZC'
	], {
		C: 'powergrid:copper_coil',
		Z: 'powergrid:electrical_gizmo',
		T: 'create:transmitter',
		E: 'minecraft:ender_eye',
		W: 'powergrid:wire',
		A: 'create:item_vault'
	});
	event.remove({
		output: 'create_radar:data_link'
	});
	event.shaped('create_radar:data_link', [
		'T T',
		'WAW',
		'CZC'
	], {
		C: 'computercraft:wired_modem',
		Z: 'powergrid:electrical_gizmo',
		T: 'create:transmitter',
		W: 'powergrid:wire',
		A: 'create:item_vault'
	});
	event.remove({
		output: 'create_connected:kinetic_battery'
	});
	event.shaped('create_connected:kinetic_battery', [
		'IPI',
		'SBS',
		'IRI'
	], {
		I: '#c:plates/iron',
		P: 'create:precision_mechanism',
		S: 'simulated:spring',
		B: 'create:brass_casing',
		R: 'morered:red_alloy_ingot'
	});
	event.remove({
		output: 'create:redstone_requester'
	});
	event.shaped('create:redstone_requester', [
		'ISI',
		'ICI',
		'RVR'
	], {
		I: '#c:plates/iron',
		R: 'morered:red_alloy_ingot',
		S: 'create:stock_link',
		C: 'powergrid:integrated_circuit',
		V: 'create:item_vault'
	});
	event.remove({
		output: 'create:packager'
	});
	event.shaped('create:packager', [
		'IYI',
		'PBP',
		'IRI'
	], {
		I: '#c:plates/iron',
		R: 'morered:red_alloy_ingot',
		Y: 'powergrid:relay',
		P: 'minecraft:piston',
		B: 'create:cardboard_block'
	});
	event.remove({
		output: 'create:package_frogport'
	});
	event.shaped('create:package_frogport', [
		'SRL',
		'CVO',
		'III'
	], {
		I: '#c:plates/iron',
		S: 'simulated:spring',
		R: 'simulated:rope_coupling',
		L: 'minecraft:slime_ball',
		C: 'powergrid:integrated_circuit',
		V: 'create:item_vault',
		O: 'simulated:optical_sensor'
	});
	event.remove({
		output: 'simulated:redstone_inductor'
	});
	event.shaped('simulated:redstone_inductor', [
		' C ',
		'EBR',
		'SSS'
	], {
		S: '#c:stones',
		C: 'powergrid:copper_coil',
		E: 'create:electron_tube',
		B: '#c:plates/brass',
		R: 'minecraft:redstone_torch'
	});
	event.remove({
		output: 'create_connected:sequenced_pulse_generator'
	});
	event.shaped('create_connected:sequenced_pulse_generator', [
		'EC ',
		'EBR',
		'SSS'
	], {
		S: '#c:stones',
		C: 'powergrid:integrated_circuit',
		E: 'create:electron_tube',
		B: '#c:plates/brass',
		R: 'minecraft:redstone_torch'
	});


	event.remove({
		output: 'morered:red_alloy_ingot'
	});
	event.recipes.create.mixing('morered:red_alloy_ingot', [
		'minecraft:copper_ingot',
		Ingredient.of('minecraft:redstone', 4)
	]).heated();



	event.remove({
		output: 'numismatics:bank_terminal'
	});
	event.shaped('numismatics:bank_terminal', [
		' E ',
		'PBP',
		' I '
	], {
		E: 'create:electron_tube',
		P: 'create:precision_mechanism',
		B: 'create:industrial_iron_block',
		I: 'create:item_vault'
	});
	event.remove({
		output: 'simulated:redstone_magnet'
	});
	event.shaped('simulated:redstone_magnet', [
		'CCC',
		'CMC',
		'BRB'
	], {
		B: 'create:industrial_iron_block',
		C: 'powergrid:copper_coil',
		M: 'powergrid:magnet',
		R: 'morered:red_alloy_ingot'
	});
	
	
	
	event.remove({
		output: 'powergrid:redstone_converter'
	});
	event.shaped('powergrid:redstone_converter', [
		'IWI',
		'CRW',
		'IWI'
	], {
		C: 'minecraft:comparator',
		R: 'powergrid:power_resistor',
		I: '#c:plates/iron',
		W: 'powergrid:wire'
	});
	event.remove({
		output: 'powergrid:copper_cord'
	});
	event.shapeless('powergrid:copper_cord', [
		'powergrid:insulated_copper_wire', 'powergrid:insulated_copper_wire', 'rubberworks:rubber_sheet'
	]);
	event.remove({
		output: 'powergrid:insulated_copper_wire'
	});
	event.shapeless('powergrid:insulated_copper_wire', [
		'powergrid:wire', 'rubberworks:rubber_sheet'
	]);

	


	event.remove({
		output: 'createrailwaysnavigator:navigator'
	});
	event.shaped('createrailwaysnavigator:navigator', [
		'IRI',
		'ITI',
		'ICI'
	], {
		I: '#c:plates/iron',
		R: 'create_radar:radar_receiver_block',
		T: 'computercraft:pocket_computer_normal',
		C: 'minecraft:compass'
	});
	event.remove({
		output: 'create_radar:radar_receiver_block'
	});
	event.shaped('create_radar:radar_receiver_block', [
		'ILI',
		'ZIZ',
		'NCP'
	], {
		I: '#c:plates/iron',
		L: 'minecraft:lightning_rod',
		Z: 'powergrid:integrated_circuit',
		N: 'powergrid:bjt_npn',
		P: 'powergrid:bjt_pnp',
		C: 'create:industrial_iron_block'
	});
	event.remove({
		output: 'create_radar:identification_transponder'
	});
	event.shaped('create_radar:identification_transponder', [
		'TRT',
		'WCW',
		'BIB'
	], {
		I: 'create:industrial_iron_block',
		T: 'create:transmitter',
		R: 'create_radar:radar_receiver_block',
		W: 'powergrid:wire',
		C: 'powergrid:integrated_circuit',
		B: 'quark:gold_button'
	});
	event.remove({
		output: 'create:mechanical_arm'
	});
	event.shaped('create:mechanical_arm', [
		'BAB',
		'CBC',
		'PSZ'
	], {
		B: '#c:plates/brass',
		A: 'create:andesite_alloy',
		C: 'powergrid:copper_coil',
		P: 'create:precision_mechanism',
		S: 'create:brass_casing',
		Z: 'powergrid:electrical_gizmo'
	});




	event.remove({
		output: 'vsfluidlink:magnet_chain_connector'
	});
	event.shaped('vsfluidlink:magnet_chain_connector', [
		'BMB',
		'RCR',
		'BMB'
	], {
		B: '#c:plates/brass',
		R: 'morered:red_alloy_ingot',
		M: 'powergrid:magnet',
		C: 'vsfluidlink:chain_connector',
	});
	event.remove({
		output: 'vsfluidlink:electric_magnet_wire_connector'
	});
	event.shaped('vsfluidlink:electric_magnet_wire_connector', [
		'BMB',
		'RCR',
		'BMB'
	], {
		B: '#c:plates/brass',
		R: 'morered:red_alloy_ingot',
		M: 'powergrid:magnet',
		C: 'vsfluidlink:electric_wire_connector',
	});
	event.remove({
		output: 'vsfluidlink:magnet_hose_connector'
	});
	event.shaped('vsfluidlink:magnet_hose_connector', [
		'BMB',
		'RCR',
		'BMB'
	], {
		B: '#c:plates/brass',
		R: 'morered:red_alloy_ingot',
		M: 'powergrid:magnet',
		C: 'vsfluidlink:hose_connector',
	});
	event.remove({
		output: 'vsfluidlink:item_magnet_hose_connector'
	});
	event.shaped('vsfluidlink:item_magnet_hose_connector', [
		'BMB',
		'RCR',
		'BMB'
	], {
		B: '#c:plates/brass',
		R: 'morered:red_alloy_ingot',
		M: 'powergrid:magnet',
		C: 'vsfluidlink:item_hose_connector',
	});


	event.remove({
		output: 'dashpanels:panel_link'
	});
	event.shaped('dashpanels:panel_link', [
		'TCT',
		'WIW',
		' R '
	], {
		T: 'create:transmitter',
		C: 'powergrid:integrated_circuit',
		W: 'powergrid:wire',
		I: 'create:industrial_iron_block',
		R: 'dashpanels:cable'
	});
	event.remove({
		output: 'dashpanels:cable'
	});
	event.shaped('dashpanels:cable', [
		'IRB',
		'BRI',
		'IRB'
	], {
		I: '#c:plates/iron',
		R: 'morered:red_alloy_ingot',
		B: 'rubberworks:rubber_sheet'
	});






	event.remove({
		output: 'dndesires:stirling_engine'
	});
	event.shaped('dndesires:stirling_engine', [
		'ICI',
		'PBP',
	], {
		I: '#c:plates/iron',
		C: 'powergrid:copper_coil',
		P: 'createdieselgenerators:engine_piston',
		B: 'minecraft:blast_furnace'
	});
	event.remove({
		output: 'createdieselgenerators:diesel_engine'
	});
	event.shaped('createdieselgenerators:diesel_engine', [
		' E ',
		'IEI',
		'PTP',
	], {
		I: '#c:plates/iron',
		E: 'simulated:engine_assembly',
		P: 'minecraft:polished_blackstone_slab',
		T: 'create:fluid_tank'
	});
	event.remove({
		output: 'createpropulsion:stirling_engine'
	});
	event.shaped('createpropulsion:stirling_engine', [
		' I ',
		' E ',
		'CCC',
	], {
		I: '#c:plates/iron',
		E: 'simulated:engine_assembly',
		C: '#c:plates/copper',
	});
	event.remove({
		output: 'createdieselgenerators:huge_diesel_engine'
	});
	event.shaped('createdieselgenerators:huge_diesel_engine', [
		' I ',
		'GEG',
		'PBP',
	], {
		I: '#c:plates/iron',
		E: 'simulated:engine_assembly',
		G: '#c:plates/gold',
		P: 'create:fluid_pipe',
		B: 'create:brass_block'
	});
	event.remove({
		output: 'create:steam_engine'
	});
	event.shaped('create:steam_engine', [
		' G ',
		'FPF',
		' C ',
	], {
		G: '#c:plates/gold',
		F: 'create:fluid_pipe',
		P: 'createdieselgenerators:engine_piston',
		C: 'minecraft:copper_block'
	});
	event.remove({
		output: 'simulated:engine_assembly'
	});
	{
		const transitional = 'simulated:incomplete_engine_assembly';
		event.recipes.create.sequenced_assembly('simulated:engine_assembly',
			'minecraft:iron_block', [
			event.recipes.create.cutting(transitional, transitional),
			event.recipes.create.pressing(transitional, transitional),
			event.recipes.create.pressing(transitional, transitional),
			event.recipes.create.deploying(transitional, [transitional, 'createdieselgenerators:engine_piston']),
			event.recipes.create.deploying(transitional, [transitional, 'createdieselgenerators:engine_piston']),
			event.recipes.create.deploying(transitional, [transitional, 'powergrid:copper_coil']),
			event.recipes.create.pressing(transitional, transitional),
			event.recipes.create.pressing(transitional, transitional)
		]).transitionalItem(transitional).loops(2);  //Line 531
	}


	{
		const transitional = 'powergrid:incomplete_bjt_npn';
		event.recipes.create.sequenced_assembly('powergrid:bjt_npn',
			'create:iron_sheet', [
			event.recipes.create.deploying(transitional, [transitional, 'create:polished_rose_quartz']),
			event.recipes.create.deploying(transitional, [transitional, 'powergrid:golden_wire']),
			event.recipes.create.pressing(transitional, transitional)
		]).transitionalItem(transitional).loops(1);
	} {
		const transitional = 'powergrid:incomplete_bjt_pnp';
		event.recipes.create.sequenced_assembly('powergrid:bjt_pnp',
			'create:iron_sheet', [
			event.recipes.create.deploying(transitional, [transitional, 'powergrid:golden_wire']),
			event.recipes.create.deploying(transitional, [transitional, 'create:polished_rose_quartz']),
			event.recipes.create.pressing(transitional, transitional)
		]).transitionalItem(transitional).loops(1);
	}


	event.remove({
		output: 'powergrid:solar_panel_bearing'
	});
	event.shaped('powergrid:solar_panel_bearing', [
		'PBP',
		'NCN',
		'WAW',
	], {
		P: '#c:plates/copper',
		B: 'create:mechanical_bearing',
		N: '#c:nuggets/iron',
		C: 'powergrid:generator_commutator',
		W: 'powergrid:wire',
		A: 'powergrid:conductive_casing'
	});
	event.remove({
		output: 'powergrid:fe_inverter'
	});
	event.recipes.createMechanicalCrafting('powergrid:fe_inverter', [
		'CCGPP',
		'RTATP',
		'RTDTR'
	], {
		C: 'powergrid:wire_connector',
		G: 'powergrid:electrical_gizmo',
		P: 'powergrid:copper_coil',
		R: 'create:cardboard',
		T: 'powergrid:transformer_core',
		A: 'powergrid:conductive_casing',
		D: 'powergrid:device_connector'
	});
});